import es
import gamethread
import random

dominations = {}

def load():
    random.seed()
        
def unload():
    global dominations
    dominations.clear()

def es_map_start(event_var):
    global dominations
    dominations.clear()

def player_team(event_var):
    global dominations
    for key in dominations.keys():
        if event_var['userid'] in key.split('<')
            del dominations[key]

def player_disconnect(event_var):
    global dominations
    for key in dominations.keys():
        if event_var['userid'] in key.split('<')
            del dominations[key]

def player_death(event_var):
    global dominations
    centermess = ''
    str1 = event_var['userid'] + '<' + event_var['attacker']
    str2 = event_var['attacker'] + '<' + event_var['userid']
    if str1 in dominations.keys():
        dominations[str1] += 1
        if str2 in dominations.keys():
            if dominations[str2] >= 3 and dominations[str2] < 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')
                centermess = es.getplayername(event_var['attacker']) + ' got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            if dominations[str2] >= 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default finally got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')                
                centermess = es.getplayername(event_var['attacker']) + ' finally got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            del dominations[str2]
            
        if dominations[str1] == 3:
            if es.getplayerteam(event_var['userid']) == es.getplayerteam(event_var['attacker']):
                es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is being#lightgreen back-stabbed#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
                centermess = es.getplayername(event_var['userid']) + ' is being back-stabbed by ' + es.getplayername(event_var['attacker']) + '!'              
                es.tell(event_var['userid'], '#multi', '#greenYour teammate is back-stabbing you!')
                es.tell(event_var['userid'], '#multi', '#greenThey will be punished for their sins!')
                es.tell(event_var['attacker'], '#multi', '#greenYou are back-stabbing!')
                es.tell(event_var['attacker'], '#multi', '#greenFor this you will be punished with death!')
                gamethread.delayed(1.0, es.sexec, (event_var['attacker'], 'kill'))
                del dominations[str1]
            else:
                es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is being#lightgreen dominated#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
                centermess = es.getplayername(event_var['userid']) + ' is being dominated by ' + es.getplayername(event_var['attacker']) + '!'              
                es.tell(event_var['userid'], '#multi', '#greenYou have a#lightgreen new nemesis!')
                es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
        if dominations[str1] == 6:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is now being#lightgreen obliterated#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
            centermess = es.getplayername(event_var['userid']) + ' is now being obliterated by ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYour are being obliterated by your nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
        if dominations[str1] == 10:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is now being#lightgreen totally pwned#default by#green ' + es.getplayername(event_var['attacker']) + '#default!')
            centermess = es.getplayername(event_var['userid']) + ' is now being totally pwned by ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYou are being totally pwned by your nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
        if dominations[str1] == 20:
            es.msg('#multi', '#green' + es.getplayername(event_var['userid']) + '#default is now #lightgreen simply not worthy#default compared to#green ' + es.getplayername(event_var['attacker']) + '#default!')
            centermess = es.getplayername(event_var['userid']) + ' is now simply not worthy compared to ' + es.getplayername(event_var['attacker']) + '!'              
            es.tell(event_var['userid'], '#multi', '#greenYou are simply not worthy compared your nemesis!')
            es.tell(event_var['userid'], '#multi', '#greenGet your revenge on#lightgreen ' + es.getplayername(event_var['attacker']) + '#green now!!')
    else:
        dominations[str1] = 1
        if str2 in dominations.keys():
            if dominations[str2] >= 3 and dominations[str2] < 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')
                centermess = es.getplayername(event_var['attacker']) + ' got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            if dominations[str2] >= 10:
                es.msg('#multi', '#green' + es.getplayername(event_var['attacker']) + '#default finally got revenge on#green ' + es.getplayername(event_var['userid']) + '#default!')                
                centermess = es.getplayername(event_var['attacker']) + ' finally got revenge on ' + es.getplayername(event_var['userid']) + '!'              
            del dominations[str2]
    
    if centermess != '':
        gamethread.delayed(0.1, center_msg, centermess)
        gamethread.delayed(1.1, center_msg, centermess)
        gamethread.delayed(2.1, center_msg, centermess)
        gamethread.delayed(3.1, center_msg, centermess)
        gamethread.delayed(4.1, center_msg, centermess)

def center_msg(text):
    es.centermsg(text)
